//rtc.c
#include "rtc.h"

void InitRTC()
{
  CCR_bit.CLKEN   = 0;  //rtc disable
  CCR_bit.CLKSRC  = 1;  //set external 32kHz oscillator

  CCR_bit.CTCRST  = 0;  //disable reset
  CCR_bit.CTTEST  = 0;  //disable test

  AMR = 0;              // initialize interrupt mask register of RTC
  CIIR_bit.IMSEC  = 1;  // enable interupt every seconds

  ILR=0x3;              // clear all interrupt of RTC

  CCR_bit.CLKEN   = 1;  //rtc enable
}

